/*--------------------------------------------------------------------.
| dirselect.c                                                         |
|                                                                     |
| (c) 1997 Christopher Cave and Jonathan Hudson                       |
| This file is part of the freely distributable menu_rext c68 library |
| It may be distributed under the same terms as c68                   |
|                                                                     |
| Authors:                                                            |
|    Christopher Cave    <ccave@cix.compulink.co.uk>                  |
|    Jonathan Hudson     <jrhudson@bigfoot.com>                       |
| Bug fixes and improvements:                                         |
|    Thierry Godefroy    <godefroy@imaginet.fr>                       |
 --------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qdos.h>
#include <qptr.h>

#include "menu.h"
#include "menuP.h"

int DirSelect (char *prompt, char *buf, int lines, int xpos, int ypos,
               int mainc, int ddirc)
{
    int iret;

    QD_TEXT (39) menustr;
    QD_TEXT (39) rsltstr;
    MENUDSEL d;

    d.mennm.attr = THP_CALL | THP_STR;
    d.mennm.info = 0;
    d.mennm.ptr = &menustr;
    MOVEINS (&menustr, prompt);

    d.lines = lines;
    d.xpos = xpos;
    d.ypos = ypos;
    d.mainc = mainc;
    d.ddirc = ddirc;

    d.fname.attr = THP_RET | THP_STR;
    d.fname.info = 0;
    d.fname.ptr = &rsltstr;
    rsltstr.len = 0;
    MOVEINS (&rsltstr, buf);
    
    iret = _use_qmenu(DSEL, &d);
    if (iret >= 0)
    {
        RESTORES (buf, &rsltstr);
    }
    return iret;
}
